import React from "react";
import { Provider } from "react-redux";
import { store as ReduxStore } from "./redux";
import Authentication  from "./screen/Authentication/authentication";
import withTheme from './themeProvider';
import withStyleFix from './stylefix';
const App = (props) => {

    return (
        <div {...props}>
        <Provider store={ReduxStore}>
            <Authentication showSignUp={props?.showSignUp} showReset={props?.showReset} logo={props?.logo} redirectUrl={props?.redirectUrl} />
        </Provider>
        </div>
    );

}

export default withStyleFix(withTheme(App));